Skip to main content

Set Site's Group Permissions

PUT 

/sites/:siteId/groups/:groupName/permissions

Replaces the group's permission grants for the specified site. Supply an optional roleType to select a predefined role, or CUSTOM with a nonempty permissions array. When roleType is omitted, permissions is required and is treated as an explicit CUSTOM grant without adding inherited role permissions. For predefined role types, omit permissions or supply an empty array. Nonempty permissions with a predefined roleType are rejected. ADMIN roles and ADMIN permission grants are not allowed, even for administrators.

Request​

Responses​

200 OK

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers